Package ru.bitel.bgbilling.modules.call.server.event

# Class LoginUpdateEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.modules.call.server.event.LoginUpdateEvent

All Implemented Interfaces:
  `Serializable`

public class LoginUpdateEvent extends ru.bitel.bgbilling.kernel.event.common.QueueEvent
Скриптовое асинхронное событие - изменение/добавление логина.
Генерируется после обновления/добавления логина.
Унаследован от `QueueEvent`

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `LoginUpdateEvent()`
  ``
  `LoginUpdateEvent(int userId, int mid, Login login)`
  Конструктор логина.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Login`
  `getLogin()`
  Возвращает логин.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LoginUpdateEvent

    protected LoginUpdateEvent()

  - ### LoginUpdateEvent

    public LoginUpdateEvent(int userId, int mid, Login login)
    Конструктор логина.
    Parameters:
      `userId` - - id пользователя, сгенерировавшего событие
      `mid` - - код модуля
      `login` - - объект логина

- ## Method Details

  - ### getLogin

    public Login getLogin()
    Возвращает логин.
    Returns:
      login - логин